/**
  *  \file client/tiles/taskmsgtile.h
  *  \brief Class WTaskMessageTile
  */
#ifndef PCC_V2_CLIENT_TILES_TASKMSGTILE_H
#define PCC_V2_CLIENT_TILES_TASKMSGTILE_H

#include "client/wtile.h"
#include "cpluslib/sigslot.h"
#include "ui/widgets/button.h"

class WAutoTaskObjectSelection;

/** Base class for task command tiles.
    Task command tiles can display a notitifcation message. */
class WTaskMessageTile : public WTile {
 public:
    WTaskMessageTile(GfxPoint pt);

    void initTask(WAutoTaskObjectSelection* atsel, int buttonWidth);
    void updateTask();
    bool drawTask(GfxCanvas& can);
    void onConfirm();

 private:
    std::auto_ptr<UIButton> btn_confirm;
    WAutoTaskObjectSelection* atsel;
    SignalConnection conn_task_changed;
    int buttonWidth;
};

#endif
