/**
  *  \file client/widgets/msgfilter.h
  *  \brief Message Filter Control Widget
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_MSGFILTER_H
#define PCC_V2_CLIENT_WIDGETS_MSGFILTER_H

#include "ui/ui.h"
#include "ui/widgets/button.h"

class WSubjectList;

/** This widget observes a WSubjectList and displays controls
    to manage the filter and old messages config option. */
class WMessageFilterControl : public UIWidget {
    UIButton btn_o, btn_k;
    WSubjectList& sublist;
    SignalConnection conn_sublist;

    void init();
 public:
    WMessageFilterControl(WSubjectList& sublist);
    ~WMessageFilterControl();

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);

    void onOldToggle();
    void onKillToggle();
};

#endif
