#!/usr/bin/perl -wp
#
#  Remove absolute addresses from disassembly, to allow easier comparison
#
use strict;

# Remember current address
my $line = 0;
if (s/^\s*(\d+)://) { $line = $1 }

# Replace jump addresses by relative addresses.
if (s/\#(\d+)/sprintf("#.%+d", $1-$line)/eg) {
    # Stub out address in hex dump.
    s/\.[0-9a-f]{4}/.xxxx/i;
}

# Stub out literal indexes if the literal has been shown.
if (s/\d+ <(.*)>/nnnn <$1>/) {
    s/\.[0-9a-f]{4}/.nnnn/i;
}
