/**
  *  \file u/t_util_plugin.cc
  *  \brief Tests for util/plugin.cc
  */

#include "util/plugin.h"
#include "u/t_util.h"

void
UtilPluginTestSuite::testVersion()
{
    TS_ASSERT( compareVersions("1.0", "1.0.1"));
    TS_ASSERT(!compareVersions("1.0.1", "1.0"));

    TS_ASSERT(!compareVersions("1.0", "1.0"));

    TS_ASSERT( compareVersions("1.0", "1.0a"));
    TS_ASSERT(!compareVersions("1.0a", "1.0"));

    TS_ASSERT( compareVersions("a", "b"));
    TS_ASSERT(!compareVersions("b", "a"));

    TS_ASSERT( compareVersions("a", "1"));
    TS_ASSERT(!compareVersions("1", "a"));

    TS_ASSERT( compareVersions("99", "100"));
    TS_ASSERT(!compareVersions("100", "99"));
}
