/**
  *  \file util/pluginmgr.h
  */
#ifndef PCC_V2_UTIL_PLUGINMGR_H
#define PCC_V2_UTIL_PLUGINMGR_H

#include "util/plugin.h"
#include "cpluslib/ptrvector.h"
#include "io/dirs.h"

class PluginManager {
 public:
    PluginManager();
    ~PluginManager();

    static PluginManager& getInstance();

    void findPlugins(Directory& dir);

    void findPlugins(string_t dirName);

    void addNewPlugin(Plugin* p);

    void enumPlugins(std::vector<Plugin*>& out, bool ordered = true) const;

    void enumConflictingPlugins(const Plugin& candidate, std::vector<Plugin*>& out) const;

    void enumDependingPlugins(const Plugin& candidate, std::vector<Plugin*>& out) const;

    void enumFeatures(Plugin::FeatureSet& fset) const;

    Plugin* extractPlugin(Plugin* p);

    Plugin* getPluginById(const string_t& id) const;

 private:
    ptr_vector<Plugin> plugins;
};

#endif
